Автор Тема: Ошибка при обновлении престашоп  (Прочитано 418 раз)

08 Июня 2014, 02:24:05
  • Новичок
  • *
  • Сообщений: 11
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Доброго всем времени! Пытаюсь обновить версию 1.5.6.2 до 1.6.0 stable (1.6.0.6).
Выдает такую вот ошибку zip->extractTo() : не могу извлечь файлы в /home/u778649618/public_html/admin2091/autoupgrade/latest
Подскажите решение, пожалуйста
08 Июня 2014, 10:47:14
Ответ #1
  • Модератор
  • Ветеран
  • *****
  • Сообщений: 86054
  • Репутация: +25403/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Нужно установить права на доступ к файлам 666 или 644 и папкам 777 или 755 в зависимости от условий хостинга.
Второе, нужно проверить настройки хостинга для работы с gzip файлами.
08 Июня 2014, 12:06:46
Ответ #2
  • Новичок
  • *
  • Сообщений: 11
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
По поводу первого не подскажите как настраивать этот доступ и где?
По поводу второго, смотрел информацию о PHP на хостинге. Про gzip ничего не указано, есть zip и rar. У меня хостинг бесплатный, может есть смысл перейти на платный, чтобы была поддержка gzip..?
08 Июня 2014, 12:49:48
Ответ #3
  • Ветеран
  • *****
  • Сообщений: 32999
  • Репутация: +26759/-0
    • Просмотр профиля
Лучше арендовать хостинг. На бесплатном много ограничений.
Если хостинг не позволяет такое делать, то обновить можно вручную. Скачать новую версию prestashop, положить на сервер в папку /admin/autoupgrade/latest/prestashop/в настройках модуля Обновления в 1 клик выбрать Обновление с локального сервера.